#ifndef __DRAW_H__
#define __DRAW_H__

#include "def.h"

void draw_card_pixmap(GdkPixmap *img, GdkBitmap *mask, 
	GdkPixmap *target, gint x, gint y, GdkGC *gc);
	
void draw_moving_card(struct _prog *prog_data, GdkPixmap *target);

void draw_cards(struct _prog *prog_data, GList *list, GdkPixmap *);

struct _target *draw_dropping_zone(struct _prog *prog_data, 
		GdkPixmap *target);

void draw_container(struct _prog *);

void draw_copy(struct _prog *prog_data);


void draw_to(struct _prog *prog_data, GdkPixmap *target);

void draw_background(struct _prog *prog_data, GdkPixmap *target);

#endif
